KLATEXFORMULA(1)

NAME
klatexformula - GUI and CLI to generate images from LaTeX formulas

SYNOPSIS
klatexformula [OPTIONS] [filename1 [...]]

DESCRIPTION
KLatexFormula by Philippe Faist

An easy-to-use graphical application and command-line interface for generating images from LaTeX equations.

  Execution Modes:

    klatexformula [filename1 [...]]

    Opens klatexformula Graphical User Interface (GUI)

    klatexformula [OPTIONS]

    Performs actions required by [OPTIONS], and exits

    klatexformula --interactive [OPTIONS] [filename1 [...]]

    Opens the GUI and performs actions required by [OPTIONS]

    If additional filename arguments are passed to the command line, they are interpreted as library files to load into the library (only in interactive mode).

OPTIONS

-I, --interactive

    Runs KLatexFormula in interactive mode with a full-featured graphical user interface. This option is on by default, except if --input or --latexinput is given.

-i, --input <file|->

    Specifies a file to read latex input from.

-l, --latexinput <expr>

    Specifies the LaTeX code of an equation to render.

-P, --paste-clipboard

-S, --paste-selection

    Specifies that the LaTeX code should be pasted from the system clipboard or current mouse selection. Works only in interactive mode.

-n, --noeval

    Do not evaluate the LaTeX equation given, leave it to the user to click on the "Evaluate" button. This option may only be used in interactive mode.

-B, --base64arg

    Specifies that the argument to the option immediately following this one is encoded in base64. For example:

    klatexformula --base64arg --latexinput="YV4yK2JeMj1jXjI="

    will use the latex code "a^2+b^2=c^2". This option can be specified more than once on the command line, each time indicating that the argument to the immediately next option is encoded in base64. This option can be useful when scripting, to avoid the nuisance of having to escape latex code from the shell.

-o, --output <file|->

    Specifies to write the output image (obtained from equation given by --input or --latexinput) to <file> or standard output.

-F, --format <format>

    Specifies the format the output should be written in. By default, the format is guessed from file name extension and defaults to PNG.

-f, --fgcolor <'#xxxxxx'>

    Specifies a color (in web #RRGGBB hex format) to use for foreground color. Don't forget to escape the '#' to prevent the shell from interpreting it as a comment.

-b, --bgcolor <-|'#xxxxxx'>

    Specifies a color (in web #RRGGBB hex format, or '-' for transparent) to use as background color (defaults to transparent)

-X, --dpi <N>

    Use N dots per inch (DPI) when converting latex output to image. Defaults to 1200 (high-resolution image).

-m, --mathmode <expression containing '...'>

    Specifies which LaTeX math mode to use, if any. The argument to this option is any string containing "...", which will be replaced by the equation itself. Defaults to "\[ ... \]"

-p, --preamble <LaTeX code>

    Any LaTeX code that will be inserted before \begin{document}. Useful for including custom packages with \usepackage{...}.

-s, --userscript <user script>

    Call a specific user script when running the backend. See the documentation in libklfbackend for more information. The script must understand and respond to the "--scriptinfo" option.

--want-pdf [<ON|Y[ES]|T[RUE]|1 or OFF|N[O]|F[ALSE]|0>]

    If set, then PDF is also internally generated. This setting should be detected automatically but you may adjust it if klatexformula guesses wrong.

--want-svg [<ON|Y[ES]|T[RUE]|1 or OFF|N[O]|F[ALSE]|0>]

    If set, then SVG is also internally generated (via gs, note: not always available). This setting should be detected automatically but you may adjust it if klatexformula guesses wrong.

-q, --quiet [<ON|Y[ES]|T[RUE]|1 or OFF|N[O]|F[ALSE]|0>]

    Disable console output of warnings and errors.

--redirect-debug <file>

    Redirects debugging output to the given <file>. If the file name does not end with .klfdebug, this suffix is automatically appended to the file name. If the file exists, it is silently overwritten.

-d, --daemonize

    Run a separate, detached, klatexformula process and return immediately. All other options, like --latexinput, may still be given. They will be forwared to the daemon process.

--skip-plugins

    Obsolete. Since Klatexformula 4, no plugin system is available and plugins are never loaded.

--calcepsbbox [<ON|Y[ES]|T[RUE]|1 or OFF|N[O]|F[ALSE]|0>]

    Correct the bounding box of the output for characters that don't report a complete or incorrect bounding box. (On by default.)

--nocalcepsbbox [<ON|Y[ES]|T[RUE]|1 or OFF|N[O]|F[ALSE]|0>]

    Same as --calcepsbbox=<inverse of value given>

--outlinefonts [<ON|Y[ES]|T[RUE]|1 or OFF|N[O]|F[ALSE]|0>]

    Convert embedded fonts in EPS and PDF to vector outlines (previously, gs pswrite device with option -dNOCACHE; more recently, gs ps2write with -dNoOutputFonts). Useful for exporting to eg. Inkscape or Adobe Illustrator.

--nooutlinefonts [<ON|Y[ES]|T[RUE]|1 or OFF|N[O]|F[ALSE]|0>]

    Same as --outlinefonts=<inverse of value given>

--lborderoffset <N>

--tborderoffset <N>

--rborderoffset <N>

--bborderoffset <N>

    Include a margin of N postscript points on left, top, right, or bottom margin respectively.

--tempdir </path/to/temp/dir>

    Specify the directory in which KLatexFormula will write temporary files. Defaults to a system-specific temporary directory like "/tmp/".

--latex <latex executable>

--dvips <dvips executable>

--gs <gs executable>

--epstopdf <epstopdf executable>

    [OBSOLETE: EPSTOPDF NO LONGER USED] Specify the executable for latex, dvips, gs or epstopdf. By default, they are searched for in $PATH and in common system directories.

-Q, --qtoption <qt-option>

    Specify a Qt-specific option. For example, to launch KLatexFormula in Plastique GUI style, use

    klatexformula --qtoption="-style=Plastique"

    Note that if <qt-option> begins with a '-', then it must be appended to the long '--qtoption=' syntax with the equal sign.

-h, --help [<filename|&N>]

    Display this help text and exit. If a file name is provided, the help message is appended to that file. If the argument is "&<N>", then the help message is printed in file descriptor N. (Reminder: N=1 for standard output 'stdout', N=2 for standard error output 'stderr')

-V, --version [<filename|&N>][:<format>]

    Display KLatexFormula version information and exit. The optional output argument is handled as with --help, however it may also contain a version string format preceded by a colon where %k, and %q and %% are respectively replaced by klatexformula version, Qt version and a literal %.

EXAMPLES

    Create an image named filename.png from the equation 'a^2+b^2=c^2':

    klatexformula --latexinput 'a^2+b^2=c^2' --output filename.png

    Open klatexformula window with equation 'f(x)=-2\,x', but don't evaluate it:

    klatexformula -I --latexinput='f(x)=-2\,x' --noeval

    Open klatexformula window and return immediately to shell command:

    klatexformula -I --daemonize

    Print help message, but to standard output instead of standard error output:

    klatexformula --help='&1'

  Notes:

    When run in interactive mode, the newly evaluated equation is appended to KLatexFormula's history.

    When not run in interactive mode, no X11 server is needed.

    Please report any bugs and malfunctions to the author.

More information is available on https://klatexformula.sourceforge.io/.

Have a lot of fun!